%global _empty_manifest_terminate_build 0
Name:           python-jaraco-packaging
Version:        3.2
Release:        1
Summary:        tools to supplement packaging Python releases
License:        MIT
URL:            https://github.com/jaraco/jaraco.packaging
Source0:        https://files.pythonhosted.org/packages/2f/bf/8595455d5264e027551cab2c3be7982c93c781ed1ea8a434159d010ee2aa/jaraco.packaging-3.2.tar.gz
BuildArch:      noarch
%description
tools to supplement packaging Python releases

%package -n python3-jaraco-packaging
Summary:        tools to supplement packaging Python releases
Provides:       python-jaraco-packaging
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-setuptools_scm
# General requires
BuildRequires:  python3-requests
BuildRequires:  python3-six
# General requires
Requires:       python3-requests
Requires:       python3-six
%description -n python3-jaraco-packaging
tools to supplement packaging Python releases

%package help
Summary:        tools to supplement packaging Python releases
Provides:       python3-jaraco-packaging-doc
%description help
tools to supplement packaging Python releases

%prep
%autosetup -n jaraco.packaging-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py test

%files -n python3-jaraco-packaging -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Oct 27 2021 xihaijie <xihaijie@huawei.com> - 3.2-1
- Init package python3-jaraco-packaging of version 3.2

